64位Ubuntu安装WPS

金山开发的WPS For Linux真是不错,总算是做了一件让人欣慰的事情,可是蛋疼的是只有32位版本,没有64位版本,如果安装的时候仅仅是dpkg或者双击安装,是不能打开的。下面说下如何在64位Ubuntu上安装32位wps。 首先安装32位运行库:
#sudo apt-get install libc6-i386
#sudo apt-get install ia32-libs
有时候会出现下面的提示:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
E: 未发现软件包 ia32-libs-multiarch
[email protected]:~/VirtualBox VMs$ sudo apt-get install ia32-libs
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成       
现在没有可用的软件包 ia32-libs,但是它被其它的软件包引用了。
这可能意味着这个缺失的软件包可能已被废弃,
或者只能在其他发布源中找到
可是下列软件包取代了它:
  lib32z1 lib32ncurses5 lib32bz2-1.0
E: 软件包 ia32-libs 没有可供安装的候选者
这时候运行下面的命令:
#sudo apt-get install g++-multilib
然后就是安装wps,cd到包所在位置,然后
#dpkg -i wps-office_8.1.0.3724~b1p2_i386.deb
如果存在依赖问题,可以执行下面命令自动解决依赖问题:
#sudo apt-get -f install
至此安装成功,可以在DASH或者BASH中运行wps命令打开。 打开之后会存在字体问题,原因应该是微软字体的版权问题,wps社区提供了解决方案: 点击此处下载这个包,然后安装就行了。 至此,64位Ubuntu完美运行32位wps。